package callback

import (
	"fmt"
	"net/http"
	"surveyService/service/survey_import"
	"surveyService/service/survey_result"

	"github.com/gin-gonic/gin"
)

func CallbackSurveyResult(c *gin.Context) {

	// 获取请求的JSON内容
	type Validator struct {
		SN    string         `json:"sn" form:"sn" binding:"required"`
		Extra string         `json:"extra" form:"extra" binding:"omitempty"`
		Data  map[string]any `json:"data" form:"data" binding:"required"`
		Type  int            `json:"type" form:"type" binding:"required"`
	}
	var validator Validator
	if err := c.ShouldBind(&validator); err != nil {
		c.String(http.StatusOK, "数据格式校验失败")
		return
	}

	receiveErr := survey_result.ReceiveResult(validator.SN, validator.Extra, validator.Type, validator.Data)
	if receiveErr != nil {
		c.String(http.StatusOK, fmt.Sprintf("数据录入失败: %s", receiveErr.Msg))
		return
	}

	c.String(http.StatusOK, "success")
}

func CallbackSurveySync(c *gin.Context) {
	// 获取请求的JSON内容
	var validator survey_import.SyncData
	if err := c.ShouldBind(&validator); err != nil {
		c.String(http.StatusOK, "数据格式校验失败")
		return
	}

	survey_import.StartSync(validator)

	c.String(http.StatusOK, "success")
}
