package middleware

import (
	"surveyService/response"
	"surveyService/util/constants"

	"github.com/gin-gonic/gin"
)

func MemberMechanism() gin.HandlerFunc {
	return func(c *gin.Context) {
		mechanismId := c.Request.Header.Get("mechanismId")
		if mechanismId == "" {
			response.Fail(c, &response.ErrCode{
				Code: response.MECHANISM_LOST,
				Msg:  "无效机构来源",
			})
			return
		}
		c.Set(constants.MemberMechanismIDKey, mechanismId)
		c.Next()
	}
}
