package survey_mechanism

import (
	"fmt"
	"os"
	"surveyService/response"
	"surveyService/service/survey_token"
)

// 创建一个可以临时访问的链接
func (m *Mechanism) GetSurveyVisitLink(surveyId string, extra string) (string, int64, *response.ErrCode) {
	var timeout int64 = 7200
	token := survey_token.InitMechanism(m.AuthMechanism).GenerateSurveyToken(surveyId, "", extra, timeout)
	if token == "" {
		return "", timeout, &response.ErrCode{
			Msg:  "生成临时访问链接失败",
			Code: response.ERROR,
		}
	}
	return fmt.Sprintf("%s/#/%s/survey/decisionQuestion?id=%s&token=%s", os.Getenv("H5_DOMAIN"), m.Mechanism.ID, surveyId, token), timeout, nil
}
